List settlement operations
curl --request GET \
--url https://slc.sandbox.lerian.net/v1/operations \
--header 'Authorization: <api-key>'import requests
url = "https://slc.sandbox.lerian.net/v1/operations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://slc.sandbox.lerian.net/v1/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"arrangementCode": "<string>",
"batchId": "<string>",
"createdAt": "<string>",
"currency": "<string>",
"externalId": "<string>",
"id": "<string>",
"intakeMode": "<string>",
"nuliquid": "<string>",
"operationType": "<string>",
"participantRole": "<string>",
"state": "<string>",
"value": 123
}
],
"pagination": {
"hasNext": true,
"page": 123,
"perPage": 123
}
}{
"code": "<string>",
"details": {},
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"details": {},
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"details": {},
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"details": {},
"message": "<string>",
"title": "<string>"
}List settlement operations
Lists settlement operations for the request tenant, filtered and paginated. Filters: state, operationType, batchId, externalId, dateFrom and dateTo (over created_at). Offset/limit pagination.
GET
/
v1
/
operations
List settlement operations
Authorizations
Bearer token authentication (format: "Bearer {token}")
Query Parameters
Filter by lifecycle state
Filter by operation type
Filter by batch id
Filter by external id
Filter created_at >= (RFC3339)
Filter created_at <= (RFC3339)
Page size (default 50, max 500)
Row offset (default 0)
Was this page helpful?
⌘I

